/*
//-----------------------------------------------------------------------------
// Read and return the page data and SHA-1 message authentication code (MAC)
// from a DS2432.
//
int ReadPageMAC(int page, unsigned char *page_data, unsigned char *mac)
{
        int i;
        unsigned short data_crc16, mac_crc16;

        // set the speed to 'standard'
        SetSpeed(1);

        // select the device
        if (OWTouchReset()) // Reset the 1-Wire bus
                return 0; // Return if no devices found

        OWWriteByte(0xCC); // Send Skip ROM command to select single device

        // read the page
        OWWriteByte(0xA5); // Read Authentication command
        OWWriteByte((page << 5) & 0xFF); // TA1
        OWWriteByte(0); // TA2 (always zero for DS2432)

        // read the page data
        for (i = 0; i < 32; i++)
                page_data[i] = OWReadByte();
        OWWriteByte(0xFF);

        // read the CRC16 of command, address, and data
        data_crc16 = OWReadByte();
        data_crc16 |= (OWReadByte() << 8);

        // delay 2ms for the device MAC computation
        // read the MAC
        for (i = 0; i < 20; i++)
                mac[i] = OWReadByte();

        // read CRC16 of the MAC
        mac_crc16 = OWReadByte();
        mac_crc16 |= (OWReadByte() << 8);

        // check CRC16...
        return 1;
}
*/


Related Parts
DS18B20 	Programmable Resolution 1-Wire Digital Thermometer 				Free Samples
DS18B20-PAR 1-Wire Parasite-Power Digital Thermometer
DS18S20 	1-Wire Parasite-Power Digital Thermometer 						Free Samples
DS18S20-PAR Parasite-Power Digital Thermometer
DS1904 		iButton RTC
DS1920 		iButton Temperature Logger
DS1921G 	Thermochron iButton Device
DS1921K 	Thermochron iButton Starter Kit
DS1922L 	iButton Temperature Loggers with 8KB Data-Log Memory
DS1922T 	iButton Temperature Loggers with 8KB Data-Log Memory
DS1923 		iButton Hygrochron Temperature/Humidity Logger with 8KB Data-Log Memory
DS1963S 	iButton Monetary Device with SHA-1 Function
DS1971 		iButton 256-Bit EEPROM
DS1973 		iButton 4Kb EEPROM 												Free Samples
DS1982 		iButton 1Kb Add-Only 											Free Samples
DS1985 		iButton 16Kb Add-Only 											Free Samples
DS1990A 	iButton Serial Number 											Free Samples
DS1992 		iButton 1Kb/4Kb Memory 											Free Samples
DS1993 		iButton 1Kb/4Kb Memory 											Free Samples
DS1995 		iButton 16Kb Memory 											Free Samples
DS1996 		iButton 64Kb Memory 											Free Samples
DS2401 		Silicon Serial Number 											Free Samples
DS2406 		Dual Addressable Switch Plus 1Kb Memory 						Free Samples
DS2411 		Silicon Serial Number with VCC Input 							Free Samples
DS2413 		1-Wire Dual Channel Addressable Switch 							Free Samples
DS2417 		1-Wire Time Chip With Interrupt 								Free Samples
DS2422 		1-Wire Temperature/Data Logger with 8KB Datalog Memory
DS2431 		1024-Bit 1-Wire EEPROM 											Free Samples
DS2432 		1Kb Protected 1-Wire EEPROM with SHA-1 Engine 					Free Samples
DS2433 		4Kb 1-Wire EEPROM
DS2438 		Smart Battery Monitor 											Free Samples
DS2450 		1-Wire Quad A/D Converter
DS2480B 	Serial to 1-Wire Line Driver 									Free Samples
DS2482-100 	Single-Channel 1-Wire Master 									Free Samples
DS2482-101 	Single-Channel 1-Wire Master with Sleep Mode 					Free Samples
DS2482-800 	8-Channel 1-Wire Master 										Free Samples
DS2502 		1Kb Add-Only Memory 											Free Samples
DS2502-E48 	48-Bit Node Address Chip 										Free Samples
DS2505 		16Kb Add-Only Memory 											Free Samples
DS2762 		High-Precision Li+ Battery Monitor with Alerts 					Free Samples
DS28E02 	1-Wire SHA-1 Authenticated 1Kb EEPROM with 1.8V Operation 		Free Samples
DS28E04-100 4096-Bit Addressable 1-Wire EEPROM with PIO
DS28E05 	1-Wire EEPROM 													Free Samples
DS28E10 	1-Wire SHA-1 Authenticator 										Free Samples
MAX31820PAR 1-Wire Parasite-Power, Ambient Temperature Sensor 				Free Samples
MAX31826 	1-Wire Digital Temperature Sensor with 1Kb Lockable EEPROM 		Free Samples
