

//	(C) 2017 R-MIK Sawomir Skrzyski
//	slawomir.skrzynski@ep.com.pl


#include "onewire_DS1990.h"					// 1-Wire DS1990


//=======================================================================//
byte ds1990_read()
{
uint8_t x, crc=0;
uint8_t stRst=-1, st1990=FALSE;


	#if ONEWIRE_IRQ == 2
	  uint8_t cSREG;
	  cSREG = SREG; cli();
	#endif

	stRst=-1, st1990=FALSE;
	onewriteOverdriveOnOff( FALSE );
	if ( (stRst=onewireResetSTD()) ); 			//reset
		{
		onewireWriteByte(ONEWIRE_CMD_READROM); 	//read ROM (DS1990 reaguje tylko na READ_ROM i SKIP ROM gdy jest jeden na magistrali)
												//match ROM (odcza sie po komendzie MATCH aby nie wywoywa kolizji na magistrali)
		_delay_us( OWDELAYPULLUP );				// Czas na naadowanie magistrali
		for (x=0; x<8; x++)
			{
			Serial1990[x] = onewireReadByte();
			}
		for (x=0; x<8; x++)						// Licz CRC
			{
			crc = onewireCrc8update( crc, Serial1990[x] );
			}
		if ( !crc ) st1990 = TRUE;				// CRC musi by zerem
		}


	#if ONEWIRE_IRQ == 2
	  SREG = cSREG;
	#endif

	return st1990;
}


//=======================================================================//
